<!--  Afficher liste des utilisateurs pour l'admin   -->

<div>
    <button mat-raised-button type="submit" class="btn btn-outline-success btn-sm float-left" (click)="movetoadd()">Ajouter</button>
</div>
<div class="main-content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header card-header-danger">
                        <h4 class="card-title   " >Liste des comptes</h4>
                        <p class="card-category"> </p>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table">
                                <thead >
                                <th class="td-actions text-center" >
                                    ID
                                </th>
                                <th class="td-actions text-center">
                                    Fonction
                                </th>

                                <th class="td-actions text-center">
                                    Nom
                                </th>
                                <th  class="td-actions text-center">
                                    Prénom
                                </th>

                                <th  class="td-actions text-center">
                                    Email
                                </th>
                                <th  class="td-actions text-center">
                                      Téléphone
                                </th>

                                <th>

                                </th>
                                <th>
                                </th>
                                </thead>
                                <tbody>
                                <tr *ngFor=" let c of compte">
                                    <td  class="td-actions text-center" > {{c.id}}</td>
                                    <td  class="td-actions text-center" >{{ c.Fonction.libelle_fonction}}</td>
                                    <td class="td-actions text-center"> {{ c.nom}}</td>
                                    <td class="td-actions text-center">{{ c.prenom}}</td>
                                    <td class="td-actions text-center">{{c.email}}</td>
                                    <td class="td-actions text-center">{{c.telephone}}</td>
                                    <td >
                                        <button mat-raised-button type="submit" class="btn btn-outline-success btn-sm float-left"  [routerLink]="[ '/modifierCompte', c.id ]">Modifier </button>
                                    </td>
                                    <td>
                                        <button mat-raised-button type="submit" class="btn btn-outline-danger btn-sm float-left" (click)="deleteUsers(c.id)" >Supprimer</button>
                                    </td>
                                </tr>

                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

